#ifndef __gui__pages__statistics_h
#define __gui__pages__statistics_h
#include "gui/pages/anime_list.h"
#include <QFrame>
#include <QPlainTextEdit>
#include <QWidget>

class StatisticsWidget : public QFrame {
		Q_OBJECT

	public:
		StatisticsWidget(QWidget* parent = nullptr);
		void UpdateStatistics();

	protected:
		void showEvent(QShowEvent*) override;

	private:
		std::string MinutesToDateString(int minutes);
		std::string SecondsToDateString(int seconds);

		QPlainTextEdit* anime_list_data;

		// QPlainTextEdit* score_distribution_title;
		// QPlainTextEdit* score_distribution_labels;
		// wxStaticText* score_distribution_graph; // how am I gonna do this

		/* we don't HAVE a local database (yet ;)) */
		// QPlainTextEdit* local_database_data;

		QPlainTextEdit* application_data;
};
#endif // __gui__pages__statistics_h